package cz.moneta.test.dsl.mwf.gdprconsent;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.HashMap;
import java.util.Map;

public class MWF6FAData implements MwfData {

    private Map<String, Object> params = new HashMap<>();

    private MWF6FAData() {}

    public static MWF6FAData builder() {
        return new MWF6FAData();
    }

    public MWF6FAData rsClientattorneyinstid(String rsClientattorneyinstid) {
        params.put("RS_CLIENTATTORNEYINSTID", rsClientattorneyinstid);
        return this;
    }

    public MWF6FAData rsClientattorneyinstkey(Long rsClientattorneyinstkey) {
        params.put("RS_CLIENTATTORNEYINSTKEY", rsClientattorneyinstkey);
        return this;
    }

    public MWF6FAData rsClientattorneyinstsysid(String rsClientattorneyinstsysid) {
        params.put("RS_CLIENTATTORNEYINSTSYSID", rsClientattorneyinstsysid);
        return this;
    }

    public Map<String, Object> getParams() {
        return params;
    }

}